# SearchResource (twitter4j-core 4.0.7 API)
Date: 2018-08-16

twitter4j.api

## Interface SearchResource

All Known Subinterfaces:
  Twitter

    public interface SearchResource

Author:
  Joern Huxhorn - jhuxhorn at googlemail.com

### Method Summary

All Methods Instance Methods Abstract Methods
`QueryResult` `search(Query query)` Returns tweets that match a specified query.

### Method Detail

#### search

    QueryResult search(Query query)
                throws TwitterException

Returns tweets that match a specified query.
This method calls http://search.twitter.com/search.json

Parameters:
  `query` - - the search condition
Returns:
  the result
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 1.1.7
See Also:
  GET search | Twitter Developers, Twitter API / Search Operators